Subject: Re: bug#11999: 24.1.50; New Info file suffix ".info" breaks `Info-find-node-2'

From: Stefan Monnier <[email-masked]>
Date: Wed, 25 Jul 2012 19:53:37 -0400

>> >> I.e. I'm open to suggestions, but I don't think it's worth spending too
>> >> much time on it.
>> > How about renaming 'user-error' into 'error-no-backtrace'?
>> I'd rather have a name that reflects the intention (and also user-error
>> is significantly shorter).
> There's nothing wrong with user-error, except that it is..., well,
> wrong.  It is simply a convenience feature to signal an error that
> will not (by default) enter the debugger.  I see nothing there that
> would justify the current name.  My suggestion describes what it
> really does.

I'd prefer something like error-dont-debug, because the issue is not
whether it should show a backtrace but whether it is worth trying to
debug the error.
Note that most uses of `user-error' are correct in that they signal
conditions which are usually simply due to a mistaken manipulation
(such as trying to move past the EOB), so I'm only willing to change the
name if it's really significantly better without too many drawbacks.
E.g. `error-dont-debug' is not really a serious candidate.

        Stefan